<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Anak extends Model
{
    use HasFactory;

    protected $table = 'anak';
    protected $fillable = ['pengguna_id', 'nama', 'tanggal_lahir', 'jenis_kelamin', 'foto_profil'];

    public function pengguna()
    {
        return $this->belongsTo(Pengguna::class);
    }
    public function getFotoProfilUrlAttribute()
    {
        if (!$this->foto_profil) {
            return null;
        }
        return asset('storage/' . $this->foto_profil);
    }


    public function catatanPertumbuhan()
    {
        return $this->hasMany(CatatanPertumbuhan::class);
    }

    public function jadwalImunisasi()
    {
        return $this->hasMany(JadwalImunisasi::class);
    }

    public function riwayatPenyakit()
    {
        return $this->hasMany(RiwayatPenyakit::class);
    }
    public function pertumbuhan()
    {
        return $this->hasMany(CatatanPertumbuhan::class);
    }
    public function imunisasi()
    {
        return $this->hasMany(JadwalImunisasi::class);
    }
}